Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.custom.model
Interface VCustomPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  VCustomPackageImpl

    public interface VCustomPackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `VCustomFactory`

Nested Class Summary
`static interface` | `VCustomPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static int` | `CUSTOM_CONTROL` The meta object id for the '`Control`' class.
`static int` | `CUSTOM_CONTROL__ATTACHMENTS` The feature id for the 'Attachments' containment reference list.
`static int` | `CUSTOM_CONTROL__BUNDLE_NAME` The feature id for the 'Bundle Name' attribute.
`static int` | `CUSTOM_CONTROL__CLASS_NAME` The feature id for the 'Class Name' attribute.
`static int` | `CUSTOM_CONTROL__DIAGNOSTIC` The feature id for the 'Diagnostic' containment reference.
`static int` | `CUSTOM_CONTROL__DOMAIN_MODEL_REFERENCE` The feature id for the 'Domain Model Reference' containment reference.
`static int` | `CUSTOM_CONTROL__ENABLED` The feature id for the 'Enabled' attribute.
`static int` | `CUSTOM_CONTROL__LABEL_ALIGNMENT` The feature id for the 'Label Alignment' attribute.
`static int` | `CUSTOM_CONTROL__NAME` The feature id for the 'Name' attribute.
`static int` | `CUSTOM_CONTROL__READONLY` The feature id for the 'Readonly' attribute.
`static int` | `CUSTOM_CONTROL__VISIBLE` The feature id for the 'Visible' attribute.
`static int` | `CUSTOM_CONTROL_FEATURE_COUNT` The number of structural features of the 'Control' class.
`static int` | `CUSTOM_DOMAIN_MODEL_REFERENCE` The meta object id for the ' `Domain Model Reference`' class.
`static int` | `CUSTOM_DOMAIN_MODEL_REFERENCE__BUNDLE_NAME` The feature id for the 'Bundle Name' attribute.
`static int` | `CUSTOM_DOMAIN_MODEL_REFERENCE__CHANGE_LISTENER` The feature id for the 'Change Listener' attribute list.
`static int` | `CUSTOM_DOMAIN_MODEL_REFERENCE__CLASS_NAME` The feature id for the 'Class Name' attribute.
`static int` | `CUSTOM_DOMAIN_MODEL_REFERENCE__CONTROL_CHECKED` The feature id for the 'Control Checked' attribute.
`static int` | `CUSTOM_DOMAIN_MODEL_REFERENCE__DOMAIN_MODEL_REFERENCES` The feature id for the 'Domain Model References' containment reference list.
`static int` | `CUSTOM_DOMAIN_MODEL_REFERENCE_FEATURE_COUNT` The number of structural features of the 'Domain Model Reference' class.
`static VCustomPackage` | `eINSTANCE` The singleton instance of the package.
`static String` | `eNAME` The package name.
`static String` | `eNS_PREFIX` The package namespace name.
`static String` | `eNS_URI` The package namespace URI.

Method Summary
`org.eclipse.emf.ecore.EAttribute` | `getCustomControl_BundleName()` Returns the meta object for the attribute ' `Bundle Name`'.
`org.eclipse.emf.ecore.EAttribute` | `getCustomControl_ClassName()` Returns the meta object for the attribute ' `Class Name`'.
`org.eclipse.emf.ecore.EClass` | `getCustomControl()` Returns the meta object for class '`Control`'.
`org.eclipse.emf.ecore.EAttribute` | `getCustomDomainModelReference_BundleName()` Returns the meta object for the attribute ' `Bundle Name` '.
`org.eclipse.emf.ecore.EAttribute` | `getCustomDomainModelReference_ClassName()` Returns the meta object for the attribute ' `Class Name`'.
`org.eclipse.emf.ecore.EAttribute` | `getCustomDomainModelReference_ControlChecked()` Returns the meta object for the attribute ' `Control Checked`'.
`org.eclipse.emf.ecore.EReference` | `getCustomDomainModelReference_DomainModelReferences()` Returns the meta object for the containment reference list ' `Domain Model References`'.
`org.eclipse.emf.ecore.EClass` | `getCustomDomainModelReference()` Returns the meta object for class '`Domain Model Reference`'.
`VCustomFactory` | `getCustomFactory()` Returns the factory that creates the instances of the model.

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final VCustomPackage eINSTANCE

  The singleton instance of the package.

### CUSTOM_CONTROL

    static final int CUSTOM_CONTROL

  The meta object id for the '`Control`' class.

  Since:
    1.3
  See Also:
    `VCustomControlImpl`, `VCustomPackageImpl.getCustomControl()`, Constant Field Values

### CUSTOM_CONTROL__NAME

    static final int CUSTOM_CONTROL__NAME

  The feature id for the 'Name' attribute.

  Since:
    1.3
  See Also:
    Constant Field Values

### CUSTOM_CONTROL__VISIBLE

    static final int CUSTOM_CONTROL__VISIBLE

  The feature id for the 'Visible' attribute.

  Since:
    1.3
  See Also:
    Constant Field Values

### CUSTOM_CONTROL__ENABLED

    static final int CUSTOM_CONTROL__ENABLED

  The feature id for the 'Enabled' attribute.

  Since:
    1.3
  See Also:
    Constant Field Values

### CUSTOM_CONTROL__READONLY

    static final int CUSTOM_CONTROL__READONLY

  The feature id for the 'Readonly' attribute.

  Since:
    1.3
  See Also:
    Constant Field Values

### CUSTOM_CONTROL__DIAGNOSTIC

    static final int CUSTOM_CONTROL__DIAGNOSTIC

  The feature id for the 'Diagnostic' containment reference.

  Since:
    1.3
  See Also:
    Constant Field Values

### CUSTOM_CONTROL__ATTACHMENTS

    static final int CUSTOM_CONTROL__ATTACHMENTS

  The feature id for the 'Attachments' containment reference list.

  Since:
    1.3
  See Also:
    Constant Field Values

### CUSTOM_CONTROL__LABEL_ALIGNMENT

    static final int CUSTOM_CONTROL__LABEL_ALIGNMENT

  The feature id for the 'Label Alignment' attribute.

  Since:
    1.3
  See Also:
    Constant Field Values

### CUSTOM_CONTROL__DOMAIN_MODEL_REFERENCE

    static final int CUSTOM_CONTROL__DOMAIN_MODEL_REFERENCE

  The feature id for the 'Domain Model Reference' containment reference.

  Since:
    1.3
  See Also:
    Constant Field Values

### CUSTOM_CONTROL__BUNDLE_NAME

    static final int CUSTOM_CONTROL__BUNDLE_NAME

  The feature id for the 'Bundle Name' attribute.

  Since:
    1.3
  See Also:
    Constant Field Values

### CUSTOM_CONTROL__CLASS_NAME

    static final int CUSTOM_CONTROL__CLASS_NAME

  The feature id for the 'Class Name' attribute.

  Since:
    1.3
  See Also:
    Constant Field Values

### CUSTOM_CONTROL_FEATURE_COUNT

    static final int CUSTOM_CONTROL_FEATURE_COUNT

  The number of structural features of the 'Control' class.

  Since:
    1.3
  See Also:
    Constant Field Values

### CUSTOM_DOMAIN_MODEL_REFERENCE

    static final int CUSTOM_DOMAIN_MODEL_REFERENCE

  The meta object id for the ' `Domain Model Reference`' class.

  Since:
    1.3
  See Also:
    `VCustomDomainModelReferenceImpl`, `VCustomPackageImpl.getCustomDomainModelReference()`, Constant Field Values

### CUSTOM_DOMAIN_MODEL_REFERENCE__CHANGE_LISTENER

    static final int CUSTOM_DOMAIN_MODEL_REFERENCE__CHANGE_LISTENER

  The feature id for the 'Change Listener' attribute list.

  Since:
    1.3
  See Also:
    Constant Field Values

### CUSTOM_DOMAIN_MODEL_REFERENCE__DOMAIN_MODEL_REFERENCES

    static final int CUSTOM_DOMAIN_MODEL_REFERENCE__DOMAIN_MODEL_REFERENCES

  The feature id for the 'Domain Model References' containment reference list.

  Since:
    1.3
  See Also:
    Constant Field Values

### CUSTOM_DOMAIN_MODEL_REFERENCE__BUNDLE_NAME

    static final int CUSTOM_DOMAIN_MODEL_REFERENCE__BUNDLE_NAME

  The feature id for the 'Bundle Name' attribute.

  Since:
    1.3
  See Also:
    Constant Field Values

### CUSTOM_DOMAIN_MODEL_REFERENCE__CLASS_NAME

    static final int CUSTOM_DOMAIN_MODEL_REFERENCE__CLASS_NAME

  The feature id for the 'Class Name' attribute.

  Since:
    1.3
  See Also:
    Constant Field Values

### CUSTOM_DOMAIN_MODEL_REFERENCE__CONTROL_CHECKED

    static final int CUSTOM_DOMAIN_MODEL_REFERENCE__CONTROL_CHECKED

  The feature id for the 'Control Checked' attribute.

  Since:
    1.3
  See Also:
    Constant Field Values

### CUSTOM_DOMAIN_MODEL_REFERENCE_FEATURE_COUNT

    static final int CUSTOM_DOMAIN_MODEL_REFERENCE_FEATURE_COUNT

  The number of structural features of the 'Domain Model Reference' class.

  Since:
    1.3
  See Also:
    Constant Field Values

Method Detail

### getCustomControl

    org.eclipse.emf.ecore.EClass getCustomControl()

  Returns the meta object for class '`Control`'.

  Returns:
    the meta object for class 'Control'.
  Since:
    1.3
  See Also:
    `VCustomControl`

### getCustomControl_BundleName

    org.eclipse.emf.ecore.EAttribute getCustomControl_BundleName()

  Returns the meta object for the attribute ' `Bundle Name`'.

  Returns:
    the meta object for the attribute 'Bundle Name'.
  Since:
    1.3
  See Also:
    `VCustomControl.getBundleName()`, `getCustomControl()`

### getCustomControl_ClassName

    org.eclipse.emf.ecore.EAttribute getCustomControl_ClassName()

  Returns the meta object for the attribute ' `Class Name`'.

  Returns:
    the meta object for the attribute 'Class Name'.
  Since:
    1.3
  See Also:
    `VCustomControl.getClassName()`, `getCustomControl()`

### getCustomDomainModelReference

    org.eclipse.emf.ecore.EClass getCustomDomainModelReference()

  Returns the meta object for class '`Domain Model Reference`'.

  Returns:
    the meta object for class 'Domain Model Reference'.
  Since:
    1.3
  See Also:
    `VCustomDomainModelReference`

### getCustomDomainModelReference_DomainModelReferences

    org.eclipse.emf.ecore.EReference getCustomDomainModelReference_DomainModelReferences()

  Returns the meta object for the containment reference list ' `Domain Model References`'.

  Returns:
    the meta object for the containment reference list 'Domain Model References'.
  Since:
    1.3
  See Also:
    `VCustomDomainModelReference.getDomainModelReferences()`, `getCustomDomainModelReference()`

### getCustomDomainModelReference_BundleName

    org.eclipse.emf.ecore.EAttribute getCustomDomainModelReference_BundleName()

  Returns the meta object for the attribute ' `Bundle Name` '.

  Returns:
    the meta object for the attribute 'Bundle Name'.
  Since:
    1.3
  See Also:
    `VCustomDomainModelReference.getBundleName()`, `getCustomDomainModelReference()`

### getCustomDomainModelReference_ClassName

    org.eclipse.emf.ecore.EAttribute getCustomDomainModelReference_ClassName()

  Returns the meta object for the attribute ' `Class Name`'.

  Returns:
    the meta object for the attribute 'Class Name'.
  Since:
    1.3
  See Also:
    `VCustomDomainModelReference.getClassName()`, `getCustomDomainModelReference()`

### getCustomDomainModelReference_ControlChecked

    org.eclipse.emf.ecore.EAttribute getCustomDomainModelReference_ControlChecked()

  Returns the meta object for the attribute ' `Control Checked`'.

  Returns:
    the meta object for the attribute 'Control Checked'.
  Since:
    1.3
  See Also:
    `VCustomDomainModelReference.isControlChecked()`, `getCustomDomainModelReference()`

### getCustomFactory

    VCustomFactory getCustomFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.